LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
ObjectInspector Service Reference

describes a com::sun::star::frame::Controller which can be used to browse and modify properties of components. More...

`import"ObjectInspector.idl";`

Inheritance diagram for ObjectInspector:

## Public Member Functions
| createDefault ()
| creates a default instance of the ObjectInspector More...
| createWithModel ([in] XObjectInspectorModel Model) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates an instance of the ObjectInspector, using a given ObjectInspectorModel More...
Public Member Functions inherited from XObjectInspector
void | inspect ([in] sequence< com::sun::star::uno::XInterface > Objects) raises (com::sun::star::util::VetoException)
| inspects a new collection of one or more objects. More...
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...

## Additional Inherited Members
Exported Interfaces inherited from XObjectInspector
interface | com::sun::star::frame::XController
| allows to plug the inspector into a com::sun::star::frame::XFrame More...
interface | com::sun::star::frame::XDispatchProvider
| allows to intercept functionality More...
Public Attributes inherited from XObjectInspector
XObjectInspectorModel | InspectorModel
| provides access to the current model of the inspector More...
XObjectInspectorUI | InspectorUI
| provides access to the user interface of the object inspector. More...

## Detailed Description

describes a com::sun::star::frame::Controller which can be used to browse and modify properties of components.

The controller can be plugged into a com::sun::star::frame::XFrame, and will provide a visual component for inspecting and modifying component properties.
Note that "property" here is a generic term - any aspect of a component can be considered a property, as long as some property handler is able to describe this aspect in a property-like way.

The basic idea is that one facet of the inspected component is represented by a single line of controls: A label, an input control, and optionally one or two buttons which, when pressed, trigger additional user interaction (e.g. a more sophisticated dialog to enter a property value).

Additionally, property lines can be grouped into different categories. A usual implementation of such categories would be tab pages, but other implementations are possible, too.

Even more, the inspector can optionally display a help section at the bottom of its window, which can display arbitrary (context-sensitive) help texts.

An ObjectInspector needs one or more property handlers which describe the facets of an inspected component - without such handlers, the inspector window will simply stay empty.

The property handlers, as well as more information about the layout of the inspector, are provided by an inspector model, which has to be implemented by the user of the inspector.

Since property handlers might have the need to raise UI, they will be created with a context value named "DialogParentWindow", which contains an XWindow which should be used as parent of any windows to raise.
If the com::sun::star::uno::XComponentContext in which the ObjectInspector was created already contains such a value, it is not overwritten. Only if it doesn't, the inspector will add an own value - which contains the inspector's main window - to the context when creating handlers.

See also
  XPropertyHandler
  LineDescriptor
  PropertyControlType
  ObjectInspectorModel
  com::sun::star::uno::XComponentContext
  com::sun::star::lang::XMultiComponentFactory

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ createDefault()

createDefault | ( |  | ) |

creates a default instance of the ObjectInspector

Since
  OOo 2.2

## ◆ createWithModel()

createWithModel | ( | [in] XObjectInspectorModel | Model | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an instance of the ObjectInspector, using a given ObjectInspectorModel

Exceptions

  com::sun::star::lang::IllegalArgumentException | if Model is `NULL`.

Since
  OOo 2.2

The documentation for this service was generated from the following file:

- com/sun/star/inspection/ObjectInspector.idl